## org.apache.batik.dom
Class GenericAttrNS

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractAttr
                  org.apache.batik.dom.AbstractAttrNS
                      org.apache.batik.dom.GenericAttrNS

All Implemented Interfaces:
  org.w3c.dom.Attr, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

public class GenericAttrNS
extends AbstractAttrNS

This class implements the `Attr` interface with support for namespaces.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected boolean` `readonly` Is this attribute immutable?

Fields inherited from class org.apache.batik.dom.AbstractAttrNS
`namespaceURI`

Fields inherited from class org.apache.batik.dom.AbstractAttr
`nodeName, ownerElement, unspecified`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `GenericAttrNS()` Creates a new Attr object.
`` `GenericAttrNS(java.lang.String nsURI, java.lang.String qname, AbstractDocument owner)` Creates a new Attr object.

Method Summary
`boolean` `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractAttrNS
`copyInto, deepCopyInto, deepExport, export, getNamespaceURI`

Methods inherited from class org.apache.batik.dom.AbstractAttr
`checkChildType, fireDOMSubtreeModifiedEvent, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSpecified, getValue, nodeAdded, nodeToBeRemoved, setNodeName, setNodeValue, setOwnerElement, setSpecified, setValue`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNextSibling, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, hasAttributes, isSupported, removeEventListener, setNextSibling, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Field Detail

### readonly

    protected boolean readonly

  Is this attribute immutable?

Constructor Detail

### GenericAttrNS

    protected GenericAttrNS()

  Creates a new Attr object.

### GenericAttrNS

    public GenericAttrNS(java.lang.String nsURI,
                         java.lang.String qname,
                         AbstractDocument owner)
                  throws org.w3c.dom.DOMException

  Creates a new Attr object.

Parameters:
  `nsURI` - The element namespace URI.
  `qname` - The attribute qualified name for validation purposes.
  `owner` - The owner document.
Throws:
  `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
  NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix and the `namespaceURI` is `null` or an empty string, if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is different from "http://www.w3.org/XML/1998/namespace", if the `qualifiedName` has a prefix that is "xmlns" and the `namespaceURI` is different from "http://www.w3.org/2000/xmlns/", or if the `qualifiedName` is "xmlns" and the `namespaceURI` is different from "http://www.w3.org/2000/xmlns/".

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.